librem5-devkit-tools (0.0.12~368.gbp1d9e6a) UNRELEASED; urgency=medium

  ** SNAPSHOT build @1d9e6aacc85a0f6da72a3b339623e23007aeed58 **

  [ Sebastian Krzyszkowiak ]
  * Remove /etc/network/interfaces.d/usb0 file

  [ Angus Ainslie (Purism) ]
  * compare_flash.sh: add a script to check the flash contents

  [ Martin Kepplinger ]
  * pytests: support new Board names for hardware revisions

  [ Guido Günther ]
  * librem5-devkit-flash-image: Report proper error when job wasn't found
  * librem5-devkit-flash: Strip board revision from uboot board name
  * librem5-devkit-flash-image: Use images with revision
  * gitlab-ci: Use librem5r3 for the download test (Closes: #24)
  * gitlab-ci: Keep uuu script around
  * gitlab-ci: Be less picky about image names

  [ Angus Ainslie ]
  * 99-gnss.rules: Add a udev rule

  [ Guido Günther ]
  * Drop devkit from flash script name
  * Drop devkit from host package
  * Drop devkit from udev rule name
  * Drop devkit from check package

  [ Jenkins ]

 -- Jenkins <jenkins@arm01.puri.sm>  Mon, 31 Aug 2020 11:58:50 -0700

librem5-devkit-tools (0.0.11) amber-phone; urgency=medium

  [ Kyle Evans ]
  * scripts/fetch_latest: update next kernel_url

  [ Guido Günther ]
  * Remove /etc/profile.d/etnaviv.sh conf file
  * write_ext2_file.sh: Fix partition number warning
  * write_*.sh: Don't sudo
  * u-boot_flash_librem5: Don't claim to flash m4.bin when we don't
  * u-boot_flash_recovery_librem5-devkit.lst: Don't claim to flash m4.bin when we don't
  * boot_emmc_devkit: Use the correct uboot

  [ Angus Ainslie ]
  * gitlab-ci.yml : test on an image that is maintained
  * modem_gps.sh: Add a script to use the WWAN modem GPS

  [ Sebastian Krzyszkowiak ]
  * uuu_scripts: Add scripts to boot a specified kernel version from /boot partition

  [ Martin Kepplinger ]
  * remove usr/bin/power_key.py

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 23 Jun 2020 11:11:52 +0200

librem5-devkit-tools (0.0.10) amber-phone; urgency=medium

  [ Martin Kepplinger ]
  * pytests: Add test_devfreq.py for testing the memory devfreq driver
  * pytests/test_magn.py: modprobe the driver module before using it
  * pytests/test_modem.py: fix aplay -l output capturing
  * pytests/test_panel_brightness: fix sysfs path
  * pytests/test_regulators: use correct regulator for GPU
  * debian/changelog: fix v0.0.9 release notes
  * power_key.py: make compatible with 5.6 and later and the devkit

  [ Guido Günther ]
  * Drop no_supertile workarounds
  * pytests: Test that there aren't any probe defers

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Sun, 05 Apr 2020 13:45:22 +0200

librem5-devkit-tools (0.0.9) amber-phone; urgency=medium

  [ David Boddie ]
  * Add host and device scripts for USB networking
  * Add initial visual test for switches
  * switch test: Coding style fixes
  * switch_test: Fix pep8 noise
  * switch_test: Remove unused module import
  * switch_test: Show initial key states, report changes
  * switch_test: Report initial states, customize printed output
  * switch_test: Add copyright and summary
  * switch_test: Remove power button checks

  [ Martin Kepplinger ]
  * pytests: test_magn: fix test function name
  * pytests: add simple accelerometer test
  * pytests: test_cpuidle: remove governor check
  * modprobe.d: update template entries for mainline redpine driver
  * test_scripts: l5dvk-test-log: fix gyro driver name
  * modprobe.d: blacklist magnetometer driver
  * power_key: use 25Mhz devfreq when screen off when not on Linux 5.3
  * Revert "pytests/test_accel.py: Update the tests for the accelerometer"
  * power_key: adjust devfreq sysfs naming to linux 5.6
  * power_key: use with open() as f instead of open() and close()

  [ Dorota Czaplejewicz ]
  * network: Don't manage usb0

  [ Angus Ainslie ]
  * uuu_scripts: add some scripts to aid kernel testing
  * test_scripts: Add a script for gps testing
  * pytests/test_accel.py: Update the tests for the accelerometer
  * pytests/test_usb_hub.py: test the phone usb hub
  * pytests/test_modem.py: Add modem test for the phone
  * pytests/test_audio.py: use the dat format

  [ Guido Günther ]
  * modules: Load ledtrig-timer
  * librem5-devkit-check: Depend on alsa-utils
  * pytests: Use correct backlight device on the phone
  * pytests: Use correct input match for the phone
  * pytest: Use correct audio device on the librem5
  * pytests: Test gpu regulator voltage

  [ Angus Ainslie (Purism) ]
  * librem5-devkit-flash-image: Add a dogwood flash target
  * librem5-devkit-host.librem5_devkit.udev: add a rule for the librem5 vid:pid
  * scripts/burn_fuses: add a script to set the dogwood fuses
  * uuu_scripts: add the librem5 VID:PID

  [ Sebastian Krzyszkowiak ]
  * base: Unset ETNA_MESA_DEBUG in profile.d

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 03 Mar 2020 16:01:45 +0100

librem5-devkit-tools (0.0.8) amber-phone; urgency=medium

  * l5-shipme: Drop sudo.
    The script needs to run as root anyway

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Dec 2019 11:42:23 +0100

librem5-devkit-tools (0.0.7) amber-phone; urgency=medium

  [ Angus Ainslie ]
  * scripts/write_flash.sh: drop recovery
  * scripts/fetch_latest.sh: update for the uified kernel and librem5 u-boot
  * scripts/librem5-devkit-flash-image: add an arg for the board type
  * power_key.py: get rid of suspend labels

  [ Guido Günther ]
  * Depend on i2c-tools for battery shipment mode
  * Add script to clean up after smoke tests
  * Link shipment script as l5s

  [ Angus Ainslie ]
  * write_ext2_file.sh: remove another instance of recovery
  * test_librem5.lst: add some i2c and LED tests
  * uuu_scripts: remove the recovery labels from the comments
  * scripts/test_librem5.lst: comment out broken tests
  * robot/uboot_tests.robot: add tests using the robot framework for chestnut
  * shipping_mode.lst: a uuu script to put the phone into shipping mode

  [ Guido Günther ]
  * pytests: Add helpers to skip tests on the devkit and phone
  * test_audio: Use skipif to distinguish phone and devkit test

  [ Sebastian Krzyszkowiak ]
  * librem5-devkit-base: Depend on python3-evdev

  [ Angus Ainslie ]
  * librem5-devkit-flash-image: use the correct URLs for the phone
  * librem5-devkit-flash-image: add the plain image
  * gitlab-ci.yml: there is no recovery u-boot right now
  * l5-shipme: disable battery after 10-15 seconds for ship mode

 -- Angus Ainslie <angus@akkea.ca>  Wed, 18 Dec 2019 15:05:54 -0800

librem5-devkit-tools (0.0.6) amber-phone; urgency=medium

  [ Angus Ainslie ]
  * burn_fuses.lst: add a uuu scipt to burn the bootcfg fuses.
    This script will burn the fuses that allow the board to be booted from eMMC
  * u-boot_flash_librem5.lst: increase the size of the flashed u-boot
  * write_flash.sh: exit when flashing is finished
  * write_flash.sh: verify the flash contents.
    After writeing the flash read back the contents and compare
  * u-boot_fastboot_librem5.lst: add a test to force fastboot mode
  * power_key: add a hack to adjust frequencies depending on screen blank
  * power_key.service: restart on failure

  [ Angus Ainslie (Purism) ]
  * drop the m4 for now

  [ Guido Günther ]
  * power_key: Use dh_installsystemd.
    This will simplify updates, unclutter etc and make us get rid of the hack
    easier (by just dropping the unit file).
  * librem5-devkit-base: Depend on python3.
    There's a python script for the power button in there now.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Nov 2019 22:30:59 +0100

librem5-devkit-tools (0.0.5) amber-phone; urgency=medium

  [ Guido Günther ]
  * tests: Check for cpufreq platform driver
  * tests: Check cpu idle governor
  * tests: Check if a wifi interface got detected

  [ Bob Ham ]
  * Remove Wys systemd .conf file
  * librem5-devkit-base: Fix Breaks: field for wys

  [ Angus Ainslie ]
  * uuu_scripts: update the scripts for the new u-boot protocol
  * uuu_scripts: Add the phone boot and flash scipts
  * Drop recovery for now

  [ Angus Ainslie (Purism) ]
  * write_flash.sh: add a script to program the SPI flash
  * librem5-devkit-flash-image: update to the new SDPV protocol
  * ramfs_librem5-devkit.lst: give the script a better descriptive name
  * uuu_scripts: Add some more phone uuu scripts
  * uuu_scripts/boot_librem5-devkit.lst: script to boot a kernel from the host

  [ Martin Kepplinger ]
  * test_scripts/power_key: select input device with name

 -- Bob Ham <bob.ham@puri.sm>  Fri, 22 Nov 2019 09:34:19 +0000

librem5-devkit-tools (0.0.4) amber-phone; urgency=medium

  * gitignore Debian specific files
  * d/gbp.conf: Setup so 'gbp tag' works out of the box
  * d/control: Expand description
  * d/rules: Properly skip tests with 'nocheck'
  * d/copyright: Switch paragraphs.
    Wildcard needs to go first.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Oct 2019 10:40:54 +0200

librem5-devkit-tools (0.0.3) amber-phone; urgency=medium

  [ Guido Günther ]
  * flash-image: Make lack of meta data fatal.
    This was just a band aid until
        https://source.puri.sm/Librem5/image-builder/merge_requests/73
    got merged to not break image flashing.
  * postinst: Add missing interpreter
  * librem5-devkit-flash-image: Allow to skip flashing.
    This allows to use the download machinery but not flash anything.
    Useful to prepare everything on another machine.
  * gitlab-ci: Test librem5-devkit-flash-image download.
    We can't test the actual flashing but that's most of what the script
    does atm.
    This will make us spot things like fixed in !1 early.
  * librem5-devkit-flash-image: Print retry messages at debug level.
    Messes up the progress bar otherwise.
  * gitlab-ci: Drop mkdir.
    Librem5-devkit-flash-image creates it so let's test that code path as
    well.
  * Disable supertiles on the devkit.
    Add this work around until we fixed supertile textures on GC7000.
  * tests: Panel brightness can range from 0 to 100 now.
  * Don't require a password for sudo.
    Makes hacking on the devkit more convenient. (Closes: #12)
  * d/control: Add missing python3-yaml dependency.
    We use it in librem5-devkit-flash-image
  * Add requirements.txt.
    This makes is simpler for people not using a distribution and other
    operating systems.
  * gitlab-ci: Add test using modules from pypi
  * librem5-devkit-flash-image: We always fetch meta data.
    No need to check if it's set
  * librem5-devkit-image: Don't redownload image if it's recent
    (Closes: #14)
  * uuu_scripts: Drop flash_librem5-devkit-test.lst.
    It's the same as flash_librem5-devkit.lst but with a different image
    name.
  * uuu_scripts: Explain each script's purpose in a comment
  * uuu_scripts: Give an idea what this directory does
  * gitignore: Add files/
    The uuu scripts reads volatile files from there that are not part of
    this repo.
  * tests: Test cpufreq.
  * tests: brightness: Adjust node name for Linux 5.x.
    The device tree we upstream has a different node name.
  * tests: Test for magnetometer.
    We care about the magnetometer not the gyro for iio-sensor-proxy
    support.
  * tests: Fix test name.
    We test cpufreq not the battery
  * librem5-devkit-check: Make shellcheck happy
  * librem5-devkit-test: shellcheck
  * librem5-devkit-check: Don't write out byte code files.
    Since we run as root we don't want to clutter the test directory with
    python byte code files. For detailed test debugging folks will likley
    invoke pytest-3 manually so this doesn't matter a lot performance wise.
  * librem5-devkit-check: Comlain when not run with super user privileges.
    We need eleveated privileges for some tests.
  * tests: Test touch controller.
    Test that the goodix touch controller is available. If this test
    succeeds we know that the device was probed successfully on the I²C bus
    and that it got registered with the input subsystem.
  * tests: Add pytest to test modem availability.
    If these test succeed we know that the modem is visible on the USB
    bus and the modem manager picked it up.
  * tests: Add pytest to test some audio aspects.
    This tests if the code is there (probed) correctly and if the
    headphone IRQ is registered.
  * tests: Add system information to test output.
    Add
    - image git revision: the revision of the image-builder repo
      https://source.puri.sm/Librem5/image-builder
    - kernel version
    - device tree model
    to the test output. This makes the sole output of test run more useful.
  * tests: Check for cpuidle sysfs nodes.
    This is not sufficient to ensure cpuidle works but is at least
    makes sure we don't lose basic kernel support.
  * tests: Check for drm render node
  * Move initial board-bringup notes to doc/
  * Remove doc building step.
  * Add minimal README.
    This guides people to the official docs to avoid duplication.
  * tests: Make a module
  * tests: Add sysfs helper module.
    We can add common functions here to avoid code duplication
  * tests: Don't hardcode iio sysfs path.
    Based on Martin's MR
    https://source.puri.sm/Librem5/librem5-devkit-tools/merge_requests/71
  * Move tests to pytests.
    This makes installing them simpler since we don't have to distinguish
    between these and other python based tests and programs.
  * Test for proximity sensor sysfs node.
    This can become more elaborate in the future.
  * docs: Mention the pytest based tests.
    This hopefully encourages people to add more tests when we enable more
    hardware.
  * pytests: Move drm test to pytests/
    This one got added before we moved the tests.
  * test_scripts: Drop conftest.py.
    It should only be in pytests/
  * pytests: Check if modem is visible to alsa

  [ Dorota Czaplejewicz ]
  * Use g_multi instead of g_serial to deliver Ethernet
  * Make USB use DHCP
  * Devkit: Resume image download on errors
  * devkit-flash: Allow for configureable number of retries.
  * flash-kernel: Add root kernel cmdline parameter.
  * base: Add flash-kernel and mtd-tools to the dependency list
  * base: Add u-boot-tools as a hard dependency of our flash-kernel version
  * base: Resize rootfs after it's mounted

  [ Johannes Krampf ]
  * Readme: Fix file name for uuu flash script.

  [ Esteban Torre ]
  * Remove debug proxy
  * add debug support to uuu in flash script.

  [ Angus Ainslie (Purism) ]
  * librem5-devkit.conf: enable antenna diversity for the RS9116 module
  * Add a uuu script that flashes the full-boot-image.
    u-boot-builder can generate a "full-boot-image" that contains an
    m4.img and an imx u-boot.
  * Update fetch-latest urls.
    Update the kernel, u-boot and recovery u-boot urls.
    Drop the image download.
  * librem5-devkit-flash-image: choose a specific board variant.
    Choose between legacy, current and next build types
  * librem5-devkit.conf: don't blacklist the rsi_sdio driver.
    The driver works sometimes so enable it to collect more data.
  * There are 3 temperature sensors so report all of them if they are present
  * Add shell based static tests.
    This is a script that does some basic tests to ensure that certain
    subsystems are present. It duplicates functionality from other tests so
    should be refactored at some point.

  [ Angus Ainslie ]
  * uuu_scripts: u-boot_flash_librem5-devkit.lst : flash the correct u-boot.
    The script was flashing the -recovery u-boot. It now flashes the
    regular u-boot and the required m4 binary.
  * uuu_scripts: u-boot_flash_recovery_librem5-devkit.lst: add a script to
    flash the recovery u-boot.
    This will flash the -recovery version of u-boot to the eMMC so that
    the m4.bin is not required.
  * Fix broken documentation link
  * Add a test for the gpio-vibration driver
  * Add a test "daemon" to differentiate short vs long press on the power key.
  * pytests: Add test for audio output
  * README.md : fix broken documentation link
  * base: Add mmc-tools.
    Trying to debug boot issues from eMMC so install mmc-tools
  * Revert "base: Add mmc-tools"
    It's not mmc-tools it's mmc-utils
    This reverts commit 19cd107993ffa8db0e860d155374ee5311242abd.
  * base: Add mmc-utils.
    Trying to debug boot issues from eMMC so install mmc-utils
  * librem5-devkit-flash-image: update the uboot job name.
    U-boot builds have ben moved
  * vibra_test.py: use python3 on the target
    python3 has all of the correct dependencies
  * power_key.py: use python3 on the target
    python3 has all of the correct dependencies
  * librem5-devkit-check.install: Copy more of the tests
    vibra_test.py is needed to test the haptic motor
    power_key.py tests suspend and shutdown
  * debian/control: add rfkill.
    Add rfkill to interact with the HKS
  * librem5-devkit.conf: blacklist the mainline kernel driver.
    As the mainline driver doesn't yet load firmare from flash use the
    redpine one for now.
  * uuu_scripts: Add scripts to flash and set the boot partitions.
    The boot partitions are small ( 4MB ) partions that can hold a boot
    loader. The eMMC can be setup to boot from the user partition or either
    one of the boot partitons. The flash_* scripts will flash u-boot into
    the boot partitions and the set_* scripts will select the boot
    partition.
  * write_ext2_file.sh: write a file to partition 0.
    This script uses uuu to write a file into partition 0 of the eMMC. Linux
    mounts this partition as /boot so the files can be accessed from
    userspace.
  * librem5-devkit.conf: set the correct mode for the redpine driver

  [ Hugo Grostabussiat ]
  * Select the MMC hwpart before writing.
    Explicitly select the user area partition before attempting to write
    to the eMMC.
    The currently selected MMC hwpart could be anything set by a previous
    script or some boot software. Since this script is meant to write the
    boot image in the user area, we ensure that it is the active hwpart.
  * Fix the image size in the `mmc write` command.
    The full size of the boot image is 0x83e blocks (1055 KiB).
    It used to be 0x800 blocks (1024 KiB) before the M4 image (0x3e blocks
    (31 KiB)) was merged in. This commit replaces that old value with the
    new one.
  * Immediately fail image verify if sizes don't match.
    When verifying image integrity, first check the image file size against
    the one from the manifest. If they are different, fail immediately,
    without computing the SHA-256 hash of the image since we know it will be
    wrong.
    Unfortunately, there is no speed gain to expect from this optimization
    in the common case, since the uncompressed size of the image rarely
    change between builds. However, in cases where there are remains of a
    partially downloaded image, a new download will be attempted almost
    immediately.

  [ Bob Ham ]
  * Configure Wys for the devkit.
    Add a systemd .conf file to extend the wys.service unit with
    configuration for the devkit audio hardware.
  * Add minimal ALSA UCM configuration for the SGTL5000.
    This allows us to set the microphone volume which PulseAudio uses by
    default.  The configuration is not split into codec-specific parts as
    this is not necessary, the configuration's only purpose is to allow us
    to set the microphone volume which PulseAudio uses and it's not clear
    whether ALSA's UCM will be useful going forward.
    Closes OS-issues#46
  * Add PulseAudio configuration for Librem 5 devkit.
    We need a custom script in order to set the default source and sink.

  [ Scrooge McDuck ]
  * README: various changes

  [ Clayton Craft ]
  * librem5-devkit-flash-image: Use env to get python binary location.
    This allows the script to work when python is in a virtualenv.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Sep 2019 18:41:47 +0200

librem5-devkit-tools (0.0.2) green; urgency=medium

  [ Guido Günther ]
  * Add framebuffer test script
  * librem5-devkit-check.install: Docment scripts a little
  * Install fb-color script
  * checks: Depend on python3
  * Add package that keeps devkit base config.
    This is somewhat similar to librem5-base but keeps devkit specific
    configuration. We will later likely introduce a librem5-phone-base
    for the phone.
  * Add g_serial for USB serial console
  * Add Redpine Wifi config
  * Add script to automatically unzip newly installed kernels.
    Our uboot wants uncompressed kernels. Make sure this happens on kernel
    package updates.
  * Add uuu_scripts as examples
  * Add script to downlaod and flash the latest devkit image
  * d/rules: Run checks during build
  * librem5-devkit-base: Enable console over USB
  * flash-image: Get size from meta data.
    This makes sure the progress bar matches the expected image size.
    We don't make the lack of meta data fatal yet so we can use this
    script on outdated build jobs too for some time.
  * flash-image: Validate checksum of downloaded image.
    This also uses the meta data provided with the image.
  * d/control: Add python3-yaml for meta yaml parsing

  [ Dorota Czaplejewicz ]
  * get_image: Fix CI build URLs.
    The URL for the test and CI image are not built in the same way, coming
    from separate branches. This fixes it until it get sorted out in
    image-builder.

  [ Bob Ham ]
  * devkit-base: Add jitterentropy-rngd.
    This works around the RNG issue linux-emcraft#2 causing SSH logins to
    be inaccessible for five minutes on boot.  With this package, SSH is
    available immediately.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Jan 2019 18:14:54 +0100

librem5-devkit-tools (0.0.1) purple; urgency=medium

  * Add package for the host side
  
 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Dec 2018 14:09:54 +0100

librem5-devkit-tools (0.0.0) unstable; urgency=medium

  * Initial release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Jan 2018 15:02:24 +0100
